Skip Navigation

[Résolu] Types 2.2 is incompatible with Beaver Builder plugin

This is the technical support forum for Toolset - a suite of plugins for developing WordPress sites without writing PHP.

Everyone can read this forum, but only Toolset clients can post in it. Toolset support works 6 days per week, 19 hours per day.

This topic contains 5 réponses, has 4 voix.

Last updated by marcusC-4 Il y a 5 années et 3 mois.

Assigned support staff: Nigel.

Auteur
Publications
#427797

I updated my Types plugin to 2.2 today & it immediately broke any page using Beaver Builder.

When both plugins are activated in WP 4.6, no content loads on the page at all. In WP 4.5.3, the content loads (thank goodness!) but the page builder cannot be accessed. Instead you get this error message:

Warning: require_once(/home/coloradoruss/public_html/pinkrealty.com/wp-content/plugins/wp-views/inc/classes/shortcodes/selector/frontend.php): failed to open stream: No such file or directory in /home/coloradoruss/public_html/pinkrealty.com/wp-content/plugins/types/library/toolset/toolset-common/user-editors/resource/views/dialog/dialog.php on line 37

Fatal error: require_once(): Failed opening required '/home/coloradoruss/public_html/pinkrealty.com/wp-content/plugins/wp-views/inc/classes/shortcodes/selector/frontend.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/coloradoruss/public_html/pinkrealty.com/wp-content/plugins/types/library/toolset/toolset-common/user-editors/resource/views/dialog/dialog.php on line 37

I have since downgraded back to Types 2.1 & everything is working again. Hopefully you have access to a test environment or someone else’s site with Beaver Builder. The site I’m working on is live & can’t afford to be down. I have it installed on a test site, but I’m working on another issue on that site that is taking priority right now.

Thanks!

Marcus

#427809

I am getting this error as well, but I believe I was even getting it with Types 2.1 as well.

#427810

Just installed the Beta Version of Views and was able to get it to work

#427827

Watching this thread!

Interesting that Types and Views 2.2 is appearing as updates in sites I have them installed on, but no updates in my accounts download page and no blog post...
Dave

#427905

Nigel
Supporter

Languages: Anglais (English ) Espagnol (Español )

Timezone: Europe/London (GMT+00:00)

Sorry for the confusion, Types 2.2 snuck out on the public WordPress repo overnight, we are updating our own site and people can expect update notifications for it later today.

Views 2.2 is also being published, together with the other Toolset updates, and the two working together should hopefully resolve any problems with Beaver Builder.

#428230

Thanks for the info, Nigel. Yes, the updated version of Views resolves the issue with BB.